﻿.twofactor-no-scroll {
    overflow: hidden !important;
}

.twofactorauth-modal-area {
    width: 300px;
    border-radius: 10px;
    color: var(--custom-black);
}

.twofactorauth-modal-area-topfixed {
    position: relative;
    top: 80px;
    text-align: center;
    margin: auto;
}

.twofactorauth-modal {
    position: relative;
    padding: 15px 0px;
    top: 170px;
    background-color: var(--custom-white);
}

    .twofactorauth-modal .twofactorauth-text {
        color: red;
        font-size: 15px;
    }

    .twofactorauth-modal .form-send-control-div {
        display: table;
        width: 15%;
        height: calc(1.5em + .50rem + 2px);
        padding: .375rem .75rem;
        font-size: 1rem;
        font-weight: 200;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        border-collapse: separate;
        border-spacing: 5px 0;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    .twofactorauth-modal .send-button {
        width: 85%;
        height: 50px;
        padding: 0 13px;
        font-weight: bold;
        margin: 15px auto;
        position: relative;
        justify-content: center;
        background-color: var(--custom-black);
        color: var(--custom-white);
        border: 2px solid var(--custom-black);
    }

    .twofactorauth-modal .resend-button {
        width: 50%;
        height: 30px;
        padding: 0 13px;
        font-weight: bold;
        margin: 7px auto;
        position: relative;
        justify-content: center;
        background-color: var(--custom-white);
        color: var(--custom-Blacke);
        border: 2px solid var(--custom-black);
    }

    .twofactorauth-modal .second-form-contents {
        width: 100%;
        height: auto;
        margin: 20px auto;
        font-size: 16px;
        background-color: var(--custom-gray1);
    }

        .twofactorauth-modal .second-form-contents .second-form-contents-label {
            padding: 15px 0px;
        }

    .twofactorauth-modal .result-message {
        display: flex;
        justify-content: center;
        align-items: center;
        color: red;
        padding: 10px 0;
        font-size: 11px;
    }

        .twofactorauth-modal .result-message > .message {
            border: 2px solid var(--custom-red);
            width: 90%;
            height: auto;
            padding: 5px;
            text-align: center;
        }